package story_storage

import (
	"context"
	"evening_detective/internal/services/story_service"
	"evening_detective/internal/services/story_service/models"
)

type varService struct {
	story *models.Story
}

func NewVarStoryStorage(story *models.Story) story_service.IStoryStorage {
	return &varService{
		story: story,
	}
}

func (s *varService) Load(ctx context.Context) (*models.Story, error) {
	return s.story, nil
}

func (s *varService) Save(ctx context.Context, story *models.Story) error {
	s.story = story
	return nil
}
